// //////////////////////////////////////////////////////////////////////
// Import section
// //////////////////////////////////////////////////////////////////////
// STL
#include <string>
#include <iostream>
// ZeroMQ
#include <zmq.hpp>

// ////////////////// M A I N /////////////////////
int main (int argc, char* argv[]) {
  // Prepare our context and socket
  zmq::context_t context (1);
  zmq::socket_t socket (context, ZMQ_REQ);

  std::cout << "Connecting to hello world server…" << std::endl;
  socket.connect ("tcp://localhost:5555");

  // Do 10 requests, waiting each time for a response
  for (int request_nbr = 0; request_nbr != 10; request_nbr++) {
    zmq::message_t request (6);
    memcpy ((void *) request.data (), "Hello", 5);
    std::cout << "Sending Hello " << request_nbr << "…" << std::endl;

    zmq::send_flags flags = zmq::send_flags::none;
    // zmq::send_result_t rc =
    socket.send (request, flags);
    // std::cout << "Result of sending paylod: " << rc << std::endl;

    // Get the reply.
    zmq::message_t reply;
    socket.recv (reply);
    std::cout << "Received World " << request_nbr << std::endl;
  }
  return 0;
}
